package com.ruoyi.common.core.domain.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 音乐信息对象 music_info
 * 
 * @author ruoyi
 * @date 2025-07-15
 */
public class MusicInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 音乐id */
    @Excel(name = "音乐id")
    private Long musicId;

    /** 名字 */
    @Excel(name = "名字")
    private String name;

    /** 作者 */
    @Excel(name = "作者")
    private String author;

    /** 1 vip 2 不 */
    @Excel(name = "1 vip 2 不")
    private Long vip;

    /** 1 商家 2 下架 */
    @Excel(name = "1 商家 2 下架")
    private Long shelf;

    /** 封面 */
    @Excel(name = "封面")
    private String imgAddr;

    /** 音乐地址 */
    @Excel(name = "音乐地址")
    private String musicAddr;

    /** 音乐类型 ordinary 混音mixing */
    @Excel(name = "音乐类型 ordinary 混音mixing")
    private String musicType;

    /** 创建人 */
    @Excel(name = "创建人")
    private String creator;

    /** 修改人 */
    @Excel(name = "修改人")
    private String modify;

    /** 1 删除 */
    @Excel(name = "1 删除")
    private Long isDel;

    /** 标签 */
    @Excel(name = "标签")
    private String label;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }

    public void setMusicId(Long musicId) 
    {
        this.musicId = musicId;
    }

    public Long getMusicId() 
    {
        return musicId;
    }

    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }

    public void setAuthor(String author) 
    {
        this.author = author;
    }

    public String getAuthor() 
    {
        return author;
    }

    public void setVip(Long vip) 
    {
        this.vip = vip;
    }

    public Long getVip() 
    {
        return vip;
    }

    public void setShelf(Long shelf) 
    {
        this.shelf = shelf;
    }

    public Long getShelf() 
    {
        return shelf;
    }

    public void setImgAddr(String imgAddr) 
    {
        this.imgAddr = imgAddr;
    }

    public String getImgAddr() 
    {
        return imgAddr;
    }

    public void setMusicAddr(String musicAddr) 
    {
        this.musicAddr = musicAddr;
    }

    public String getMusicAddr() 
    {
        return musicAddr;
    }

    public void setMusicType(String musicType) 
    {
        this.musicType = musicType;
    }

    public String getMusicType() 
    {
        return musicType;
    }

    public void setCreator(String creator) 
    {
        this.creator = creator;
    }

    public String getCreator() 
    {
        return creator;
    }

    public void setModify(String modify) 
    {
        this.modify = modify;
    }

    public String getModify() 
    {
        return modify;
    }

    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    public void setLabel(String label) 
    {
        this.label = label;
    }

    public String getLabel() 
    {
        return label;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("musicId", getMusicId())
            .append("name", getName())
            .append("author", getAuthor())
            .append("vip", getVip())
            .append("shelf", getShelf())
            .append("imgAddr", getImgAddr())
            .append("musicAddr", getMusicAddr())
            .append("musicType", getMusicType())
            .append("creator", getCreator())
            .append("modify", getModify())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .append("label", getLabel())
            .toString();
    }
}
